<div class="modal fade " id="printspk-{{item_spk.id}}"  role="dialog" aria-labelledby="printspk-{{item_spk.id}}" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content ">
            <div class="modal-header bg-gradient-primary text-white">
                <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Print Surat Perintah Kerja</h5>
                <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body">
                
                        {% csrf_token %} 
                         <div class="row">
                            <div class="col-md-3"> Tanggal Print</div>
                            <div class="col-md-9"> 
                                <input type="date" onfocus="this.showPicker()" name="tglprint" class="form-control" required placeholder="Isi tanggal print">
                            </div>
                         </div>
                         <hr>
                        <div class="row">
                            <div class="col-md-3"> Pengesah </div>
                            <div class="col-md-9 mb-2"> 
                                <select name="pengesah" class="form-control" id="pengesah{{item_spk.id}}" style="width: 100%;" required>
                                    <option value="">Pilih Pengesah</option>
                                    {% for list_pengesah in pengesah %}
                                    <option value="{{ list_pengesah.id }}">
                                        {{ list_pengesah.namapegawai|title }}
                                    </option>
                                    {% endfor %}
                                </select>
                            </div>
                         </div>
                         
                        <div class="modal-footer">
                            <button class="btn btn-primary" type="button" data-url="{% url 'profile:admin_spk_print_' id=item_spk.id %}" data-spk_id="{{item_spk.id}}" onclick="print_spk(this, event)"><i class="fa fa-save"></i> Print </button>
                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                        </div>
            </div>
        </div>
    </div>
</div>

{% block scripts_bawah %}
<script type="text/javascript">
    function print_spk(e, ev){
        ShowIframeReport(`${$(e).data('url')}?pengesah=${$(`#pengesah${$(e).data('spk_id')}`).val()}`, 'Cetak Laporan SPK', ev)
    }
</script>
{% endblock %}